rm(list = ls(all = TRUE))
#Last Update: 2016/7/19
###################################################################################################
load("SoutheastFakeData.RData")
str(SE_FakeData)

y <- SE_FakeData$y
X <- cbind(rep(1,length(y)), SE_FakeData$x)
long <- SE_FakeData$long; lat <- SE_FakeData$lat
MR <- 300
M <- 1000

###################################################################################################
### Find Multiple Clusters Sequentially via the Simulatneous Detection ############################
source("Cluster_Detection_Simultaneous.R")
Clusters_sim <- Find.Clusters.Simul(y, X, long, lat, MR, M, overlap=TRUE, alpha=0.05)

###################################################################################################
### Find Multiple Clusters Sequentially via the Two--Stage Detection ##############################
source("Cluster_Detection_TwoStage.R")
Clusters_ts1 <- Find.Clusters.TStg1(y, X, long, lat, MR, M, overlap=TRUE, alpha=0.05)
Clusters_ts2 <- Find.Clusters.TStg2(y, X, long, lat, MR, M, Cls1st=Clusters_ts1, overlap=TRUE, alpha=0.05)

###################################################################################################
Clusters_sim$Clusters
cbind(SE_FakeData[Clusters_sim$Clusters[,1],1:2],Clusters_sim$Clusters)
Clusters_sim$Coef

Clusters_ts2$Clusters
cbind(SE_FakeData[Clusters_ts2$Clusters[,1],1:2],Clusters_ts2$Clusters)
Clusters_ts2$Coef
length(Clusters_ts2$clsL)
